## dhcpcd5 9.4.1

=== Makefile ===
SUBDIRS=	src hooks

VERSION!=	sed -n 's/\#define VERSION[[:space:]]*"\(.*\)".*/\1/p' src/defs.h

DIST!=		if test -d .git; then echo "dist-git"; \
		else echo "dist-inst"; fi
FOSSILID?=	current
GITREF?=	HEAD

DISTSUFFIX=
DISTPREFIX?=	dhcpcd-${VERSION}${DISTSUFFIX}
DISTFILEGZ?=	${DISTPREFIX}.tar.gz
DISTFILE?=	${DISTPREFIX}.tar.xz
DISTINFO=	${DISTFILE}.distinfo
DISTINFOSIGN=	${DISTINFO}.asc

CLEANFILES+=	*.tar.xz

.PHONY:		hooks import import-bsd tests

.SUFFIXES:	.in

all: config.h
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

depend: config.h
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

tests:
	cd $@; ${MAKE} $@

test: tests

hooks:
	cd $@; ${MAKE}

eginstall:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

install:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

proginstall:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

clean:
	rm -rf cov-int dhcpcd.xz
	for x in ${SUBDIRS} tests; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

distclean: clean
	rm -f config.h config.mk config.log \
		${DISTFILE} ${DISTFILEGZ} ${DISTINFO} ${DISTINFOSIGN}
	rm -f *.diff *.patch *.orig *.rej
	for x in ${SUBDIRS} tests; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

dist-git:
	git archive --prefix=${DISTPREFIX}/ ${GITREF} | xz >${DISTFILE}

dist-inst:
	mkdir /tmp/${DISTPREFIX}
	cp -RPp * /tmp/${DISTPREFIX}
	(cd /tmp/${DISTPREFIX}; make clean)
	tar -cvjpf ${DISTFILE} -C /tmp ${DISTPREFIX}
	rm -rf /tmp/${DISTPREFIX}

dist: ${DIST}

distinfo: dist
	rm -f ${DISTINFO} ${DISTINFOSIGN}
	${CKSUM} ${DISTFILE} >${DISTINFO}
	#printf "SIZE (${DISTFILE}) = %s\n" $$(wc -c <${DISTFILE}) >>${DISTINFO}
	${PGP} --clearsign --output=${DISTINFOSIGN} ${DISTINFO}
	chmod 644 ${DISTINFOSIGN}
	ls -l ${DISTFILE} ${DISTINFO} ${DISTINFOSIGN}

snapshot:
	rm -rf /tmp/${DISTPREFIX}
	${INSTALL} -d /tmp/${DISTPREFIX}
	cp -RPp * /tmp/${DISTPREFIX}
	${MAKE} -C /tmp/${DISTPREFIX} distclean
	tar cf - -C /tmp ${DISTPREFIX} | xz >${DISTFILE}
	ls -l ${DISTFILE}

_import: dist
	rm -rf ${DESTDIR}/*
	${INSTALL} -d ${DESTDIR}
	tar xvpf ${DISTFILE} -C ${DESTDIR} --strip 1
	@${ECHO}
	@${ECHO} "============================================================="
	@${ECHO} "dhcpcd-${VERSION} imported to ${DESTDIR}"

import:
	${MAKE} _import DESTDIR=`if [ -n "${DESTDIR}" ]; then echo "${DESTDIR}"; else  echo /tmp/${DISTPREFIX}; fi`


_import-src: clean
	rm -rf ${DESTDIR}/*
	${INSTALL} -d ${DESTDIR}
	cp LICENSE README.md ${DESTDIR};
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} DESTDIR=${DESTDIR} $@ || exit $$?; cd ..; done
	@${ECHO}
	@${ECHO} "============================================================="
	@${ECHO} "dhcpcd-${VERSION} imported to ${DESTDIR}"

import-src:
	${MAKE} _import-src DESTDIR=`if [ -n "${DESTDIR}" ]; then echo "${DESTDIR}"; else  echo /tmp/${DISTPREFIX}; fi`

include Makefile.inc

=== src/Makefile ===
# dhcpcd Makefile

PROG=		dhcpcd
SRCS=		common.c control.c dhcpcd.c duid.c eloop.c logerr.c
SRCS+=		if.c if-options.c sa.c route.c
SRCS+=		dhcp-common.c script.c

CFLAGS?=	-O2
SUBDIRS+=	${MKDIRS}

TOP=		..
include		${TOP}/iconfig.mk

CSTD?=		c99
CFLAGS+=	-std=${CSTD}
CPPFLAGS+=	-I${TOP} -I${TOP}/src -I./crypt

SRCS+=		${DHCPCD_SRCS} ${PRIVSEP_SRCS}
DHCPCD_DEF?=	dhcpcd-definitions.conf
DHCPCD_DEFS=	dhcpcd-definitions.conf dhcpcd-definitions-small.conf

PCOMPAT_SRCS=	${COMPAT_SRCS:compat/%=${TOP}/compat/%}
PCRYPT_SRCS=	${CRYPT_SRCS:compat/%=${TOP}/compat/%}
OBJS+=		${SRCS:.c=.o} ${PCRYPT_SRCS:.c=.o} ${PCOMPAT_SRCS:.c=.o}

MAN5=		dhcpcd.conf.5
MAN8=		dhcpcd.8
CLEANFILES=	dhcpcd.conf.5 dhcpcd.8

FILES=		dhcpcd.conf
FILESDIR=	${SYSCONFDIR}

DEPEND!=	test -e .depend && echo ".depend" || echo ""

CLEANFILES+=	*.tar.xz

.PHONY:		import import-bsd dev test

.SUFFIXES:	.in

.in: Makefile ${TOP}/config.mk
	${SED} ${SED_RUNDIR} ${SED_DBDIR} ${SED_LIBDIR} ${SED_HOOKDIR} \
		${SED_SYS} ${SED_SCRIPT} ${SED_DATADIR} \
		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
		${SED_STATUSARG} \
		$< > $@

all: ${TOP}/config.h ${PROG} ${SCRIPTS} ${MAN5} ${MAN8}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

dev:
	cd dev && ${MAKE}

.c.o: Makefile ${TOP}/config.mk
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

CLEANFILES+=	dhcpcd-embedded.h dhcpcd-embedded.c

dhcpcd-embedded.h: genembedh ${DHCPCD_DEFS} dhcpcd-embedded.h.in
	${HOST_SH} ${.ALLSRC} $^ > $@

dhcpcd-embedded.c: genembedc ${DHCPCD_DEFS} dhcpcd-embedded.c.in
	${HOST_SH} ${.ALLSRC} $^ > $@

if-options.c: dhcpcd-embedded.h

.depend: ${SRCS} ${COMPAT_SRCS} ${CRYPT_SRCS}
	${CC} ${CPPFLAGS} -MM ${SRCS} ${COMPAT_SRCS} ${CRYPT_SRCS} > .depend

depend: .depend

${PROG}: ${DEPEND} ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LDADD}

lint:
	${LINT} -Suz ${CPPFLAGS} ${SRCS} ${PCRYPT_SRCS} ${PCOMPAT_SRCS}

_embeddedinstall: ${DHCPCD_DEF}
	${INSTALL} -d ${DESTDIR}${LIBEXECDIR}
	${INSTALL} -m ${CONFMODE} ${DHCPCD_DEF} ${DESTDIR}${LIBEXECDIR}

_proginstall: ${PROG}
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${DBMODE} -d ${DESTDIR}${DBDIR}

proginstall: _proginstall ${EMBEDDEDINSTALL}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

_maninstall: ${MAN5} ${MAN8}
	${INSTALL} -d ${DESTDIR}${MANDIR}/man5
	${INSTALL} -m ${MANMODE} ${MAN5} ${DESTDIR}${MANDIR}/man5
	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m ${MANMODE} ${MAN8} ${DESTDIR}${MANDIR}/man8

_confinstall:
	${INSTALL} -d ${DESTDIR}${SYSCONFDIR}
	# Install a new default config if not present
	test -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.conf || \
		${INSTALL} -m ${CONFMODE} dhcpcd.conf ${DESTDIR}${SYSCONFDIR}
	
eginstall:

install: proginstall _maninstall _confinstall eginstall

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

distclean: clean
	rm -f .depend
	rm -f *.diff *.patch *.orig *.rej

_import-src: ${SRCS} ${MAN5} ${MAN8}
	${INSTALL} -d ${DESTDIR}/src
	for x in defs.h ${SRCS} ${SRCS:.c=.h} dev.h ${MAN5} ${MAN8}; do \
		[ ! -e "$$x" ] || cp $$x ${DESTDIR}/src; \
	done
	cp dhcpcd.conf ${DESTDIR}/src
	if [ -n "${COMPAT_SRCS}" ]; then \
		${INSTALL} -d ${DESTDIR}/compat; \
		for x in ${COMPAT_SRCS} ${COMPAT_SRCS:.c=.h}; do \
			[ ! -e "../$$x" ] || cp "../$$x" ${DESTDIR}/compat; \
		done; \
	fi
	if ! grep HAVE_SYS_BITOPS_H ../config.h; then \
		cp ../compat/bitops.h ${DESTDIR}/compat; \
	fi
	if grep compat/consttime_memequal.h ../config.h; then \
		cp ../compat/consttime_memequal.h ${DESTDIR}/compat; \
	fi
	if [ -e ${DESTDIR}/compat/rb.c ]; then \
		cp ../compat/rbtree.h ${DESTDIR}/compat; \
	fi
	if [ -e ${DESTDIR}/compat/strtoi.c ]; then \
		cp ../compat/_strtoi.h ${DESTDIR}/compat; \
	fi
	if [ -n "${CRYPT_SRCS}" ]; then \
		${INSTALL} -d ${DESTDIR}/compat/crypt; \
		for x in ${CRYPT_SRCS} ${CRYPT_SRCS:.c=.h}; do \
			cp "../$$x" ${DESTDIR}/compat/crypt; \
		done; \
	fi
	# DragonFlyBSD builds base version with private crypto
	if [ `uname` = DragonFly ]; then rm ${DESTDIR}/compat/crypt/md5* ${DESTDIR}/compat/crypt/sha256*; fi

include ${TOP}/Makefile.inc

=== tests/crypt/Makefile ===
TOP=	../..
include ${TOP}/iconfig.mk

PROG=		run-test
SRCS=		run-test.c
SRCS+=		test_hmac_md5.c

CFLAGS?=	-O2
CSTD?=		c99
CFLAGS+=	-std=${CSTD}

CPPFLAGS+=	-I${TOP} -I${TOP}/src

PCRYPT_SRCS=	${CRYPT_SRCS:compat/%=${TOP}/compat/%}
OBJS+=		${SRCS:.c=.o} ${PCRYPT_SRCS:.c=.o}

.c.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

all: ${PROG}

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}

distclean: clean
	rm -f .depend
	rm -f *.diff *.patch *.orig *.rej

.depend: ${SRCS} ${PCRYPT_SRCS}
	${CC} ${CPPFLAGS} -MM ${SRCS} ${PCRYPT_SRCS}

${PROG}: ${DEPEND} ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LDADD}

test: ${PROG}
	./${PROG}

=== tests/eloop-bench/Makefile ===
TOP=	../..
include ${TOP}/iconfig.mk

PROG=		eloop-bench
SRCS=		eloop-bench.c
SRCS+=		${TOP}/src/eloop.c

CFLAGS?=	-O2
CSTD?=		c99
CFLAGS+=	-std=${CSTD}

#CPPFLAGS+=	-DNO_CONFIG_H
#CPPFLAGS+=	-DQUEUE_H=../compat/queue.h
CPPFLAGS+=	-I${TOP} -I${TOP}/src

# Default is to let eloop decide
#CPPFLAGS+=	-DHAVE_KQUEUE
#CPPFLAGS+=	-DHAVE_POLLTS
#CPPFLAGS+=	-DHAVE_PSELECT
#CPPFLAGS+=	-DHAVE_EPOLL
#CPPFLAGS+=	-DHAVE_PPOLL
CPPFLAGS+=	-DWARN_SELECT

PCOMPAT_SRCS=   ${COMPAT_SRCS:compat/%=${TOP}/compat/%}
OBJS+=          ${SRCS:.c=.o} ${PCOMPAT_SRCS:.c=.o}

.c.o: Makefile
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

all: ${PROG}

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}

distclean: clean
	rm -f .depend
	rm -f *.diff *.patch *.orig *.rej

depend:

${PROG}: ${DEPEND} ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS}

test: ${PROG}
	./${PROG}

=== debian/changelog ===
dhcpcd5 (9.4.1-19) unstable; urgency=medium

  [ lintian-brush ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entries 5.2.12-1, 5.2.7-3.
  * Trim trailing whitespace.
  [ Martin-Éric Racine ]
  * Revert 9.4.1-6 cherry-pick from upstream Git (Closes: #1019100).
    While that fixed a race condition, it also introduced a regression
    for cases when IPv6 link-local uses a 128-bit prefix.
    Due to the Bookworm freeze, reverting 9.4.1-6 feels appropriate.
    This may need to be revisited when the next upstream is released.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 19 Feb 2023 15:13:44 +0200

dhcpcd5 (9.4.1-18) unstable; urgency=medium

  * Add wpasupplicant to Recommends for dhcpcd-base for SSID profiles.
  * Ship an empty /etc/wpa_supplicant/ with dhcpcd for ReadWritePaths.
    Thanks to Beat Bolli for spotting that one in #1020641.
  * Add exit hook for IPv6 debugging to examples.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 12 Feb 2023 07:53:59 +0200

dhcpcd5 (9.4.1-17) unstable; urgency=medium

  * Fix systemd unit hardening to work with dhcpcd-gtk (Closes: #1020641).
    + Add /etc/wpa_supplicant /etc/dhcpcd.conf to ReadWritePaths.
    - Comment out PrivateTmp=true.
    Many thanks to martintxo and János Pásztor for extensive testing.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 08 Feb 2023 08:42:40 +0200

dhcpcd5 (9.4.1-16) unstable; urgency=medium

  * Add patch from upstream Git: Fix incorrect CTASSERT in ND_OPT_DNSSL.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 01 Feb 2023 07:07:23 +0200

dhcpcd5 (9.4.1-15) unstable; urgency=medium

  * Fix "dhcpcd fails to chroot during start" (Closes: #1029437).
    Thanks to János Pásztor for the patch.
  * Add ORed Depends on sysvinit-utils for obsolete lsb-base.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 26 Jan 2023 10:32:24 +0200

dhcpcd5 (9.4.1-14) unstable; urgency=medium

  * Revert "Add 4 patches from upstream Git to fix compiler warnings."
    Those 4 patches cannot be cherry-picked. They depend on earlier upstream
    Git commits without which the code breaks, even though it compiles fine.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 19 Jan 2023 11:07:51 +0200

dhcpcd5 (9.4.1-13) unstable; urgency=medium

  * Update my copyright for 2023.
  * Move transitional package to Section: oldlibs.
  * Add 4 patches from upstream Git to fix compiler warnings:
    0008_use_return_of_functions.patch
    0009_fix_clang_compiler_warning.patch
    0010_fix_more_compiler_warnings.patch
    0011_remove_suffix_from_md5.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 14 Jan 2023 10:12:39 +0200

dhcpcd5 (9.4.1-12) unstable; urgency=medium

  * Add patch from Git 0007_set_buffer_lenght_to_0.patch (Closes: #1024357).
  * Migrate binaries from dhcpcd5 to dhcpcd.
    = Move maintainer scripts from dhcpcd5 to dhcpcd.
    + Add transitional package dhcpcd5.
    = Rename dhcpcd5 to dhcpcd.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 08 Jan 2023 13:08:42 +0200

dhcpcd5 (9.4.1-11) unstable; urgency=medium

  * Merge patch from Git to skip ~ backup hooks (Closes: #1014446).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 12 Nov 2022 12:29:49 +0200

dhcpcd5 (9.4.1-10) unstable; urgency=medium

  * Add Conflicts/Provides/Replaces: dhcp-client
    interfaces(5) precedence for DHCP method is: dhclient, pump, udhcpc, dhcpcd.
    We wanna ensure that none of those with a higher priority are installed.
    We skip pump since it hasn't been in the Debian archive for a long time.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 11 Nov 2022 15:02:15 +0200

dhcpcd5 (9.4.1-9) unstable; urgency=medium

  * Add --no-block to Debian's timesyncd exit hook (Closes: #1003225).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 27 Oct 2022 07:38:44 +0300

dhcpcd5 (9.4.1-8) unstable; urgency=medium

  * Add missing Build-Depends on pkg-config.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 19 Oct 2022 00:47:38 +0300

dhcpcd5 (9.4.1-7) unstable; urgency=medium

  * [patches]
    + Merge upstream Git patch to fix configure --prefix for autoconf.
  * [rules]
    = Simplified configure options to match.
  * [postinst]
    = Input GECOS for dhcpcd upon account creation instead of afterwards.
  * [postinst|postrm]
    - Remove cruft for upgrading from oldstable.
    - Remove binary symlinks since Bookworm pulls usrmerge.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 18 Oct 2022 08:45:55 +0300

dhcpcd5 (9.4.1-6) unstable; urgency=medium

  * Merge patch from upstream Git: Use netlink to workout address flags.
    + 0004_use_netlink_for_ipv6.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 31 Aug 2022 05:52:03 +0300

dhcpcd5 (9.4.1-5) unstable; urgency=medium

  * Add sample config for IPv6 Prefix Delegation.
  * Merge patch from upstream Git for minimum IPv6 lifetime.
    + 0003_RFC4862_minimum_lft.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 28 Aug 2022 12:07:33 +0300

dhcpcd5 (9.4.1-4) unstable; urgency=medium

  * [service]
    = Update pid paths in both systemd service units (Closes: #1014277).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 07 Jul 2022 08:31:37 +0300

dhcpcd5 (9.4.1-3) unstable; urgency=medium

  * [control]
    = Move Depends on lsb-base from dhcpcd-base to dhcpcd5.
      Needed by the init.d script, not by the binaries.
    = Make Build-Depends on libudev-dev specific to [linux-any].

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 30 Jun 2022 10:55:38 +0300

dhcpcd5 (9.4.1-2) unstable; urgency=medium

  [ Martin-Éric Racine ]
  * Adopt package (Closes: #1013763).
    Thanks to Scott Leggett for having maintained the package in recent years.
  * Implement privilege separation (Closes: #1013430).
    + Add to [rules]:
      --privsepuser=dhcpcd


=== debian/control ===
Source: dhcpcd5
Section: net
Priority: optional
Homepage: https://roy.marples.name/projects/dhcpcd
Maintainer: Martin-Éric Racine <martin-eric.racine@iki.fi>
Build-Depends: debhelper-compat (= 13),
               libudev-dev [linux-any],
               pkg-config
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/dhcpcd5
Vcs-Git: https://salsa.debian.org/debian/dhcpcd5.git

Package: dhcpcd
Architecture: all
Depends: dhcpcd-base,
         sysvinit-utils (>= 3.05-4~) | lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: dhcpcd
Replaces: dhcpcd5 (<< 9.4.1-12)
Breaks: dhcpcd5 (<< 9.4.1-12)
Suggests: dhcpcd-gtk,
          openresolv | resolvconf
Description: DHCPv4 and DHCPv6 dual-stack client (init.d script and systemd unit)
 dhcpcd provides seamless IPv4 and IPv6 auto-configuration.
 .
 This package provides the optional init.d script and systemd units.
 .
 It can be safely purged on systems where interfaces are configured
 by ifupdown via </etc/network/interfaces> using the DHCP method with
 binaries provided by dhcpcd-base.

Package: dhcpcd-base
Architecture: any
Conflicts: dhcp-client
Provides: dhcp-client
Replaces: dhcp-client,
          dhcpcd5 (<< 9.4.1-2)
Breaks: dhcpcd5 (<< 9.4.1-2)
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wpasupplicant
Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
 dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
  * DHCPv4 client
  * DHCPv6 client with Prefix Delegation (PD) support
  * IPv4 LL support (ZeroConf)
  * IPv6 SLAAC support
  * ARP address conflict resolution
  * ARP ping profiles
  * Wireless SSID profiles
 .
 This package provides the binaries, exit hooks and manual pages.
 .
 It offers a dual-stack substitute for ISC DHCP Client (dhclient) on systems
 where interfaces are configured by ifupdown via </etc/network/interfaces>
 using the DHCP method.
 .
 The init.d script and systemd unit required for systems without ifupdown are
 packaged separately as dhcpcd.

Package: dhcpcd5
Section: oldlibs
Architecture: all
Depends: dhcpcd,
         ${misc:Depends},
         ${shlibs:Depends}
Description: DHCPv4 and DHCPv6 dual-stack client (dummy transitional package)
 This package depends on dhcpcd. It can safely be removed after upgrades.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--privsepuser=dhcpcd \
		--dbdir=/var/lib/dhcpcd \
		--libexecdir=/usr/lib/dhcpcd \
		--rundir=/run/dhcpcd

# avoid starting the unconfigured service as it may break connectivity

override_dh_installinit:
	dh_installinit --name=dhcpcd --no-start

override_dh_installsystemd:
	dh_installsystemd --name=dhcpcd --no-start
	dh_installsystemd --name=dhcpcd@ --no-start

=== debian/tests/control ===
Tests: chrony-ntp-servers-from-dhcp
Depends: chrony,
         dnsmasq,
         ethtool,
         iproute2,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed

Tests: timesyncd-ntp-servers-from-dhcp
Depends: dnsmasq,
         ethtool,
         iproute2,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed

Tests: ntpd-ntp-servers-from-dhcp
Depends: dnsmasq,
         ethtool,
         iproute2,
         ntp,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed

Tests: openntpd-ntp-servers-from-dhcp
Depends: dnsmasq,
         ethtool,
         iproute2,
         openntpd,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed

Tests: sbin-dhcpcd-exists-without-usrmerge
Depends: @
Restrictions:

Tests: sbin-dhcpcd-exists-with-usrmerge
Depends: usrmerge,
         @
Restrictions: breaks-testbed

=== debian/watch ===
version=4
https://roy.marples.name/downloads/dhcpcd/dhcpcd-([0-9\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
debian uupdate --no-symlink
#opts="mode=git,pgpmode=gittag" \
#https://github.com/NetworkConfiguration/dhcpcd.git refs/tags/dhcpcd-([\d\.]+) \
